[Rmap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s


[defaults]
command.time = 15
command.buffer.tiem = 1

;AI
[command]
name = "AI1"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI2"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0

[command]
name = "AI3"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0

[command]
name = "AI4"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0

[command]
name = "AI5"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0

[command]
name = "AI6"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0

[command]
name = "AI7"
command = a,a,a,a,a,a,a,a,b,b,b,b,b,b,b,b,b,b,b
time = 0

[command]
name = "AI8"
command = a,a,a,a,a,a,a,a,c,c,c,c,c,c,c,c,c,c,c
time = 0

[command]
name = "AI9"
command = a,a,a,a,a,a,a,a,x,x,x,x,x,x,x,x,x,x,x
time = 0

[command]
name = "AI10"
command = a,a,a,a,a,a,a,a,y,y,y,y,y,y,y,y,y,y,y
time = 0

[command]
name = "AI11"
command = a,a,a,a,a,a,a,a,z,z,z,z,z,z,z,z,z,z,z
time = 0

[command]
name = "AI12"
command = b,b,b,b,b,b,b,b,b,b,b,c,c,c,c,c,c,c,c
time = 0

[command]
name = "AI13"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,b
time = 0

[command]
name = "AI14"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,c
time = 0

[command]
name = "AI15"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,x
time = 0

[command]
name = "AI16"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,y
time = 0

[command]
name = "AI17"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,z
time = 0

[command]
name = "AI18"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,a
time = 0

[command]
name = "AI19"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,c
time = 0

[command]
name = "AI20"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,x
time = 0

[command]
name = "AI21"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,y
time = 0

[command]
name = "AI22"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,z
time = 0

[command]
name = "AI23"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,a
time = 0

[command]
name = "AI24"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,b
time = 0

;僐儅儞僪擖椡or摨帪墴偟宯
[command]
name = "a+b+c"
command = a+b+c

[command]
name = "EX-onmyoudama"
command = ~$B,F,b+c

[command]
name = "EX-onmyoudama2"
command = b+c

[command]
name = "EX-keriage"
command = ~$D,$U,b+c

[command]
name = "EX-keriage2"
command = b+c

[command]
name = "L-explosion"
command = ~$B,$F,$B,$F,a+b

[command]
name = "samaso-A"
command = ~F,D,DF,a

[command]
name = "samaso-B"
command = ~F,D,DF,b

[command]
name = "samaso-C"
command = ~F,D,DF,c

[command]
name = "fire-A"
command = ~$D,DF,F,a

[command]
name = "fire-B"
command = ~$D,DF,F,b

[command]
name = "fire-C"
command = ~$D,DF,F,c

[command]
name = "explosion-A"
command = ~$D,DB,B,a

[command]
name = "explosion-B"
command = ~$D,DB,B,b

[command]
name = "explosion-C"
command = ~$D,DB,B,c

[command]
name = "explosion-A2"
command = ~$D,DB,B,a+x

[command]
name = "explosion-B2"
command = ~$D,DB,B,b+x

[command]
name = "explosion-C2"
command = ~$D,DB,B,c+x

[command]
name = "keriage-A"
command = ~$D,$U,a

[command]
name = "keriage-B"
command = ~$D,$U,b

[command]
name = "keriage-C"
command = ~$D,$U,c

[command]
name = "onmyou-A"
command = $B,F,a

[command]
name = "onmyou-B"
command = $B,F,b

[command]
name = "onmyou-C"
command = $B,F,c

[command]
name = "DD-A"
command = D,D,a

[command]
name = "DD-B"
command = D,D,b

[command]
name = "DD-C"
command = D,D,c

[command]
name = "DD-XA"
command = D,D,a+x

[command]
name = "DD-XB"
command = D,D,b+x

[command]
name = "DD-XC"
command = D,D,c+x

[command]
name = "a+b"
command = a+b

[command]
name = "b+c"
command = b+c

[command]
name = "a+z"
command = a+z

[command]
name = "x+y+z"
command = x+y+z

[command]
name = "a+b+c+z"
command = a+b+c+z

[command]
name = "wa-pu/F"
command = x,F
time = 15

[command]
name = "wa-pu/B"
command = x,B
time = 15

[command]
name = "wa-pu/U"
command = x,U
time = 15

[command]
name = "wa-pu/D"
command = x,D
time = 15

[command]
name = "wa-pu/E-B"
command = y,D
time = 15

[command]
name = "wa-pu/S-L"
command = y,B
time = 15

[command]
name = "wa-pu/S-R"
command = y,F
time = 15




; 2kainyuuryoku(hissu)
[command]
name = "FF"
command = F,F
time = 10

[command]
name = "BB"
command = B,B
time = 10

;douji(hissu)
[command]
name = "recovery"
command = x+y

;tannpatu
[command]
name = "a"
command = a

[command]
name = "b"
command = b

[command]
name = "c"
command = c

[command]
name = "x"
command = x

[command]
name = "y"
command = y

[command]
name = "z"
command = z

[command]
name = "s"
command = s

[command]
name = "F"
command = $F

[command]
name = "Back"
command = $B

[command]
name = "hold-c"
command = /c

[command]
name = "hold-a"
command = /a

[command]
name = "hold-x"
command = /x

[command]
name = "hold-y"
command = /y

[command]
name = "hold-z"
command = /z

[command]
name = "hold-abc"
command = /a+b+c

; houkou(hissu)
[command]
name = "holdfwd"
command = /$F
time = 1

[command]
name = "holdback"
command = /$B
time = 1

[command]
name = "holdup"
command = /$U
time = 1

[command]
name = "holddown"
command = /$D
time = 1




[statedef -1]
;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭
;僐儅儞僪擖椡宯
;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭
[state -1,僌儖乕儈傿僶乕僗僩]
type = changestate
triggerall = var(59) = 0
triggerall = command = "samaso-A"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = var(9) >= 2
value = 1500

[state -1,僌儖乕儈傿僶乕僗僩嘦]
type = changestate
triggerall = var(59) = 0
triggerall = command = "samaso-B"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = var(9) >= 2
value = 1550

[state -1,僌儖乕儈傿僶乕僗僩嘨]
type = changestate
triggerall = var(59) = 0
triggerall = command = "samaso-C"
triggerall = statetype != A
triggerall = power >= 500
trigger1 = ctrl
trigger2 = var(9) >= 2
value = 1560

[state -1,傾乕儉僨僗僩儔僋僔儑儞]
type = changestate
triggerall = var(59) = 0
triggerall = power >= 1500
triggerall = command = "fire-A"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 52
trigger2 = animelemno(0) = 3
value = 1000

[state -1,儗僢僌僨僗僩儔僋僔儑儞]
type = changestate
triggerall = var(59) = 0
triggerall = power >= 1500
triggerall = command = "fire-B"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 52
trigger2 = animelemno(0) = 3
value = 1100

[state -1,僾儘僥僋僩僨僗僩儔僋僔儑儞]
type = changestate
triggerall = var(59) = 0
triggerall = power >= 2000
triggerall = command = "fire-C"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 52
trigger2 = animelemno(0) = 3
value = 1150

[state -1,傾僒儖僩僗儔僢僔儏]
type = changestate
triggerall = var(59) = 0
triggerall = power >= 1000
triggerall = command = "explosion-A2"
triggerall = statetype != A
triggerall = fvar(38) > 0
trigger1 = ctrl
trigger2 = var(9) >= 2
value = 1200

[state -1,傾僒儖僩僼傽儞僌]
type = changestate
triggerall = var(59) = 0
triggerall = power >= 1000
triggerall = command = "explosion-B2"
triggerall = statetype != A
triggerall = fvar(38) > 0
trigger1 = ctrl
trigger2 = var(9) >= 2
value = 1250

[state -1,傾僒儖僩僗僩儔僀僋]
type = changestate
triggerall = var(59) = 0
triggerall = power >= ifelse(fvar(15) > 0,1000,3000)
triggerall = command = "explosion-C2"
triggerall = statetype != A
triggerall = fvar(38) > 0
trigger1 = ctrl
trigger2 = var(9) >= 2
value = 1300

[state -1,僗儔僀僩僗儔僢僔儏]
type = changestate
triggerall = var(59) = 0
triggerall = power >= 500
triggerall = command = "explosion-A"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = var(9) >= 2
trigger3 = stateno = 200
trigger3 = movecontact
trigger3 = animelem = 6,>= 0
value = 1700

[state -1,僨儕僔儍僗僜僂儖]
type = changestate
triggerall = var(59) = 0
triggerall = power >= 500
triggerall = command = "explosion-B"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = var(9) >= 2
trigger3 = stateno = 200
trigger3 = movecontact
trigger3 = animelem = 6,>= 0
value = 1725

[state -1,僿償傿乕僾儗僢僔儍乕]
type = changestate
triggerall = var(59) = 0
triggerall = power >= 750
triggerall = command = "explosion-C"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = var(9) >= 2
trigger3 = stateno = 200
trigger3 = movecontact
trigger3 = animelem = 6,>= 0
value = 1750

[state -1,儔僀僼仺傾乕儅乕曄姺]
type = changestate
triggerall = var(59) = 0
triggerall = life > 300
triggerall = command = "DD-A"
triggerall = statetype != A
triggerall = fvar(10) < 0.7
trigger1 = ctrl
value = 2000

[state -1,僷儚乕仺傾乕儅乕曄姺]
type = changestate
triggerall = var(59) = 0
triggerall = power >= 2000
triggerall = command = "DD-B"
triggerall = statetype != A
triggerall = fvar(10) < 0.7
trigger1 = ctrl
value = 2001

[state -1,僶乕僗僩仺傾乕儅乕曄姺]
type = changestate
triggerall = var(59) = 0
triggerall = fvar(15) >= 0.5
triggerall = command = "DD-C"
triggerall = statetype != A
triggerall = fvar(10) < 0.7
trigger1 = ctrl
value = 2002

[state -1,儔僀僼仺傾乕儅乕曄姺]
type = changestate
triggerall = var(59) = 0
triggerall = life < lifemax - 300
triggerall = command = "DD-XA"
triggerall = statetype != A
triggerall = fvar(10) >= 0.7
trigger1 = ctrl
value = 2100

[state -1,傾乕儅乕仺僷儚乕曄姺]
type = changestate
triggerall = var(59) = 0
triggerall = power <= powermax - 2000
triggerall = command = "DD-XB"
triggerall = statetype != A
triggerall = fvar(10) >= 0.7
trigger1 = ctrl
value = 2101

[state -1,傾乕儅乕仺僶乕僗僩曄姺]
type = changestate
triggerall = var(59) = 0
triggerall = fvar(15) < 0.5
triggerall = command = "DD-XC"
triggerall = statetype != A
triggerall = fvar(10) >= 0.7
trigger1 = ctrl
value = 2102



;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭
;暋悢儃僞儞宯
;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭
[state -1,擹弅攇摦朇]
type = changestate
triggerall = var(59) = 0
triggerall = var(8) >= 20
triggerall = command = "a+b+c"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = var(9) > 0
value = 2500

[state -1,抧忋搳偘]
type = changestate
triggerall = var(59) = 0
trigger1 = command = "a+b"
trigger1 = statetype = S
trigger1 = ctrl
value = 800

[state -1,僉乕僗僩乕儞僨僗僩儔僋僔儑儞]
type = changestate
triggerall = var(59) = 0
triggerall = command = "b+c"
triggerall = statetype = A
triggerall = power >= 500
trigger1 = ctrl
value = 1600

;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭
;扨儃僞儞宯亄兛
;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭
[state -1,棫偪俙]
type = changestate
triggerall = var(59) = 0
triggerall = command != "holddown"
triggerall = statetype != A
triggerall = command = "a"
trigger1 = ctrl
trigger2 = var(9) >= 3
trigger2 = stateno != 410
value = 200

[state -1,棫偪俛]
type = changestate
triggerall = var(59) = 0
triggerall = command != "holddown"
triggerall = command = "b"
triggerall = statetype != A
trigger1 = ctrl
value = 210

[state -1,棫偪俠]
type = changestate
triggerall = var(59) = 0
triggerall = command != "holddown"
trigger1 = command = "c"
trigger1 = statetype != A
trigger1 = ctrl
value = 220


[state -1,孅俙]
type = changestate
triggerall = var(59) = 0
triggerall = command = "holddown"
triggerall = command = "a"
triggerall = statetype != A
trigger1 = ctrl
value = 400

[state -1,孅俛]
type = changestate
triggerall = var(59) = 0
triggerall = command = "holddown"
triggerall = command = "b"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 52
trigger2 = animelemno(0) = 3
value = 410

[state -1,孅俠]
type = changestate
triggerall = var(59) = 0
triggerall = command = "holddown"
triggerall = command = "c"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = var(9) >= 3
trigger2 = stateno = 410
trigger3 = stateno = 52
trigger3 = animelemno(0) = 3
value = 420


[state -1,嬻俙]
type = changestate
triggerall = var(59) = 0
trigger1 = command = "a"
trigger1 = statetype = A
trigger1 = ctrl
value = 600

[state -1,嬻俛]
type = changestate
triggerall = var(59) = 0
triggerall = command = "b"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = var(9) >= 3
value = 610

[state -1,嬻俠]
type = changestate
triggerall = var(59) = 0
triggerall = command = "c"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = stateno = 610 || stateno = 600
trigger2 = var(9) >= 3
value = 620

[state -1,EX僎乕僕僠儍乕僕]
type = changestate
triggerall = var(59) = 0
triggerall = command = "hold-x"
triggerall = command = "hold-y"
triggerall = statetype = S
triggerall = power >= 2
triggerall = fvar(39) < 1
trigger1 = ctrl
value = 3000


;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭
;堏摦娭學orAI娭學
;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭
[state -1,僕儍儞僾]
type = changestate
triggerall = var(59) = 0 && roundstate = 2
triggerall = stateno != 40
triggerall = command = "holdup"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = var(9) >= 4
value = 40


;AI-on
[state -1,AI]
type = varset
triggerall = var(59) = 0
trigger1 = command = "AI1"
trigger2 = command = "AI2"
trigger3 = command = "AI3"
trigger4 = command = "AI4"
trigger5 = command = "AI5"
trigger6 = command = "AI6"
trigger7 = command = "AI7"
trigger8 = command = "AI8"
trigger9 = command = "AI9"
trigger10 = command = "AI10"
trigger11 = command = "AI11"
trigger12 = command = "AI12"
trigger13 = command = "AI13"
trigger14 = command = "AI14"
trigger15 = command = "AI15"
trigger16 = command = "AI16"
trigger17 = command = "AI17"
trigger18 = command = "AI18"
trigger19 = command = "AI19"
trigger20 = command = "AI20"
trigger21 = command = "AI21"
trigger22 = command = "AI22"
trigger23 = command = "AI23"
trigger24 = command = "AI24"
trigger25 = palno = 12
var(59) = 1;乮帋尡梡偵俙俬愗傞乯
